Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 698430 - app-admin/calamares should install configuration files
Summary: app-admin/calamares should install configuration files
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Johannes Huber
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2019-10-24 01:49 UTC by Kenneth G. Strawn
Modified: 2020-03-19 07:08 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch (calamares.patch,760 bytes, patch)
2019-10-24 01:49 UTC, Kenneth G. Strawn
Details | Diff
Patch 2 (calamares.patch,783 bytes, patch)
2019-10-24 15:04 UTC, Kenneth G. Strawn
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kenneth G. Strawn 2019-10-24 01:49:25 UTC
Created attachment 593738 [details, diff]
Patch

It's one thing to install config files and let the user tinker with them a bit to get them to work on, in my case, a dev-util/catalyst build. It's something else entirely to not install them at all. Per upstream https://github.com/calamares/calamares/issues/994 doing the latter results in errors being thrown around.

Patching the ebuild to fix this problem.
Comment 1 Kenneth G. Strawn 2019-10-24 15:04:03 UTC
Created attachment 593766 [details, diff]
Patch 2

Found out that the ":BOOL" at the end of the -DINSTALL_CONFIG flag isn't necessary in the ebuild and may actually not be doing what was stated in the upstream reference bug based on the way some Arch-based distros have the flags in their PKGBUILD files, so correcting.

ATTN: johu ― without -DINSTALL_CONFIG, errors are thrown around. It's much wiser to install config files and then let people use livecd/fsscript to modify them than to not install them at all.
Comment 2 Kenneth G. Strawn 2019-10-24 20:42:48 UTC
Until this bug is fixed I have this temporary workaround in my fsscript:

#Download config files that emerge won't install
wget -O /etc/calamares/settings.conf https://raw.githubusercontent.com/calamares/calamares/master/settings.conf
for i in /usr/lib64/calamares/modules/*; do
  wget -O /usr/lib64/calamares/modules/$i/$i.conf https://raw.githubusercontent.com/calamares/calamares/master/src/modules/$i/$i.conf
done

Perhaps something similar can be done upstream.
Comment 3 Kenneth G. Strawn 2019-10-24 21:14:04 UTC
See this comment on the upstream calamares bug for more details: https://github.com/calamares/calamares/issues/994#issuecomment-468311684
Comment 4 Kenneth G. Strawn 2019-10-25 19:37:15 UTC
Here’s an upstream calamares bug that I personally filed related to this: https://github.com/calamares/calamares/issues/1260
Comment 5 Larry the Git Cow gentoo-dev 2020-03-19 07:08:13 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb1c1d2a1c311be00c79d0e400ca62d346dcd9df

commit eb1c1d2a1c311be00c79d0e400ca62d346dcd9df
Author:     Johannes Huber <johu@gentoo.org>
AuthorDate: 2020-03-19 07:03:44 +0000
Commit:     Johannes Huber <johu@gentoo.org>
CommitDate: 2020-03-19 07:07:54 +0000

    app-admin/calamares: Version bump 3.2.20
    
    Closes: https://bugs.gentoo.org/708702
    Closes: https://bugs.gentoo.org/698430
    Package-Manager: Portage-2.3.94, Repoman-2.3.21
    Signed-off-by: Johannes Huber <johu@gentoo.org>

 app-admin/calamares/Manifest                |  1 +
 app-admin/calamares/calamares-3.2.20.ebuild | 93 +++++++++++++++++++++++++++++
 2 files changed, 94 insertions(+)